Payment Intents
GET
/v2/payment_intentsAuth requiredList payment intents
Returns the payment intents on your stores, newest first.
Requires Bearer token authentication. Include Authorization: Bearer YOUR_API_KEY in the request header.
Query Parameters
store_idintegerOnly return intents on this store.
limitintegerdefault: 200Max intents to return (1–500).
offsetintegerdefault: 0Number of intents to skip.
Responses
store_idquery · integerOnly return intents on this store.
limitquery · integerMax intents to return (1–500).
offsetquery · integerNumber of intents to skip.
Response will appear here
Request
curl -X GET \
"https://www.blockonomics.co/api/v2/payment_intents?store_id=%7Bvalue%7D&limit=%7Bvalue%7D" \
-H "Authorization: Bearer YOUR_API_KEY"const response = await fetch('https://www.blockonomics.co/api/v2/payment_intents?store_id=%7Bvalue%7D&limit=%7Bvalue%7D', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
})
const data = await response.json()
console.log(data)import requests
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(
"https://www.blockonomics.co/api/v2/payment_intents?store_id=%7Bvalue%7D&limit=%7Bvalue%7D",
headers=headers
)
print(response.json())Response
{
"data": [
{
"id": "pi_5GfD5m1b8khzFSLza91VR6",
"store_id": 1243,
"amount": "10.00",
"currency": "USD",
"status": "paid",
"due_amount": "0.00",
"extra_data": "order-1234",
"created_at": 1793615164,
"payments": [
{
"id": "pq_DEnv7JF9DTJKNabcKvGf4G",
"amount": "10.00",
"crypto_amount": "10013511",
"paid_crypto_amount": "5000000",
"crypto": "USDT",
"address": "0x4e3b1c2d5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c",
"status": "confirmed",
"txid": "0x9b1c7f3e2a4d5b6c8e0f1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d",
"expires_timestamp": 1793615475,
"paid_timestamp": 1793615251
},
{
"id": "pq_CGfKf7jxqADfiPy12kvEAB",
"amount": "5.01",
"crypto_amount": "6496",
"paid_crypto_amount": "6496",
"crypto": "BTC",
"address": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"status": "confirmed",
"txid": "c4978bfc9b4cd632fb37eb5f69c7c686ae364d9cb1b32ec01c0f8bae72530a4e",
"expires_timestamp": 1793615503,
"paid_timestamp": 1793615818
}
]
}
]
}